export interface SubscriptionOptions {
    query: string;
    variables?: Object;
    operationName?: string;
    context?: any;
}
export default class Client {
    client: any;
    subscriptionHandlers: {
        [id: string]: (error, result) => void;
    };
    private maxId;
    private subscriptionTimeout;
    private waitingSubscriptions;
    private unsentMessagesQueue;
    constructor(url: string, options?: {
        timeout: number;
    });
    subscribe(options: SubscriptionOptions, handler: any): number;
    unsubscribe(id: any): void;
    unsubscribeAll(): void;
    private sendMessage(message);
    private generateSubscriptionId();
}
